MOUNTPOINT(1)

NOM
mountpoint - Vérifier si un répertoire ou un fichier est un point de montage

SYNOPSIS

mountpoint [-d|-q] répertoire|fichier

mountpoint -x périphérique

DESCRIPTION

mountpoint vérifie si le répertoire ou fichier donné fait partie du fichier /proc/self/mountinfo.

OPTIONS

-d, --fs-devno
    Afficher les numéros majeur et mineur du périphérique monté sur le répertoire donné.

-q, --quiet
    Mode silencieux – ne rien afficher.

--nofollow
    Ne pas suivre le lien symbolique si c’est le dernier élément du chemin du répertoire.

-x, --devno
    Afficher les numéros majeur et mineur du périphérique bloc donné sur la sortie standard.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

CODE DE RETOUR

mountpoint has the following exit status values:

0
    success; the directory is a mountpoint, or device is block device on --devno

1
    failure; incorrect invocation, permissions or system error

32
    failure; the directory is not a mountpoint, or device is not a block device on --devno

ENVIRONNEMENT

LIBMOUNT_DEBUG=all
    Activer la sortie de débogage de libmount.

NOTES

L’implémentation mountpoint d’util-linux a été écrite à partir de zéro pour libmount. La version originale pour l’ensemble sysvinit a été écrite par Miquel van Smoorenburg.

AUTEURS

VOIR AUSSI

mount(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande mountpoint fait partie du paquet util-linux, elle est disponible sur